Skip to main content
POST
Accept a bridge quote

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bridgeId
string
required

Public ID of the bridge transfer (prefixed with brdg_)

Response

Bridge quote accepted; execution has begun.

A cross-chain bridge transfer.

id
string

Public ID of the bridge transfer (prefixed with brdg_).

Example:

"brdg_9dQ2mNpXwZ7bV1aLcs3Kf"

requestId
string<uuid>

Client-supplied idempotency key.

Example:

"b3d1f2a4-5c6e-4a7b-8c9d-0e1f2a3b4c5d"

status
enum<string>
Available options:
NOT_INITIATED,
OPEN_QUOTE,
CREATED,
SOURCE_INITIATED,
SOURCE_PENDING,
SOURCE_PROCESSED,
SOURCE_FAILED,
DESTINATION_INITIATED,
DESTINATION_PENDING,
COMPLETED,
DESTINATION_FAILED,
QUOTE_FAILED,
UNKNOWN,
PENDING_APPROVAL,
APPROVED,
REJECTED,
EXPIRED
Example:

"OPEN_QUOTE"

failedReason
string | null
Example:

null

error
string | null
Example:

null

errorDetails
string | null
Example:

null

amount
string
Example:

"100"

source
object

Resolved source of the bridge transfer.

destination
object

Resolved destination of the bridge transfer. One of walletId or externalWalletId is present.

receipt
object

On-chain receipt for the bridge. transactionHash is the final settlement hash. operations contains provider-specific step hashes (for example approve, send, mint, burn, deposit) and is empty until execution begins.

fee
object | null

Developer fee charged for the bridge transfer, or null when no fee applies.

quote
object

Quote information for the bridge transfer.

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"